//*======================================================================
//* FileName:		common_defs.h
//*
//* Author:		Kimi<hugang1514@163.com>
//*
//* Create Date:	2020-12-23
//*
//* Description:	None
//*
//*=====================================================================

#ifndef _COMMON_DEFS_6E18400_3D18443_H_INCLUDE_
#define _COMMON_DEFS_6E18400_3D18443_H_INCLUDE_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stddef.h>
#include <string.h>
#include <unistd.h>

#define CALL_CHECK(fcall) do {r=fcall; if (r < 0) ERR_EXIT(r); } while (0);

#define uint16_to_le(buf, index, val) \
	(buf)[(index) + 1] = (uint8_t)((val) >> 8); \
	(buf)[(index)] = (uint8_t)(val);

#define le_to_uint16(buf, index, val) \
	val = ((uint16_t)(buf)[(index) + 1] << 8 | (buf)[(index)])

#define SLEEP(ms)	usleep(ms * 1000)
#ifdef __cplusplus
}
#endif

#endif // #ifndef _COMMON_DEFS_6E18400_3D18443_H_INCLUDE_
