#ifndef _LINUX_UART_6E4CE4_3D4D0E_H_INCLUDE_
#define _LINUX_UART_6E4CE4_3D4D0E_H_INCLUDE_

#ifdef __cplusplus
extern "C" {
#endif
#include "common_defs.h"

int uart_init(const char *dev, int baudrate, int bits, char parity, int stop);

int uart_write(const uint8_t *buffer, uint32_t length, uint32_t timeout);

int uart_read(uint8_t *buffer, uint32_t *length, uint32_t timeout);

int uart_clear();

#ifdef __cplusplus
}
#endif

#endif // #ifndef _LINUX_UART_6E4CE4_3D4D0E_H_INCLUDE_
