//*======================================================================
//* FileName:		log.h
//*
//* Author:		Kimi<hugang1514@163.com>
//*
//* Create Date:	2020-12-23
//*
//* Description:	None
//*
//*=====================================================================

#ifndef _LOG_6E15AE1_3D15B0D_H_INCLUDE_
#define _LOG_6E15AE1_3D15B0D_H_INCLUDE_

#ifdef __cplusplus
extern "C" {
#endif

enum log_level {
	LOG_NONE = 0,

	LOG_FATAL,

	LOG_ERROR,

	LOG_INFO,

	LOG_DEBUG,

	LOG_ALL
};

#define log_info(...) log_print(LOG_INFO, __VA_ARGS__)

#define log_error(...) log_print(LOG_ERROR, __VA_ARGS__)

#define log_debug(...) log_print(LOG_DEBUG, __VA_ARGS__)

void set_log_level(int level);

void log_print(int level, const char *fmt, ...);

#ifdef __cplusplus
}
#endif

#endif // #ifndef _LOG_6E15AE1_3D15B0D_H_INCLUDE_
